import board
import busio
import adafruit_sh1106
import time
# Create the I2C interface.
i2c = busio.I2C(board.SCL, board.SDA, frequency=400000)
# Create the SH1106 OLED class.
oled = adafruit_sh1106.SH1106_I2C(128, 64, i2c, addr=0x3c, external_vcc=False)

oled.rotate(0)
oled.fill(0)
oled.line(0,0,10,31,1)
oled.line(10,31,21,0,1)
oled.line(100,0,120,31,1)
oled.line(100,31,120,0,1)
oled.circle(54,32,30,1)
oled.rect(0,0,128,64,1)
oled.show()
while True:
    oled.contrast(0x60)
    time.sleep(2)
    oled.invert(1)
    time.sleep(2)
    oled.invert(0)
    time.sleep(2)
    oled.contrast(0x90)
    time.sleep(2))